Bug 819523 - atop daily cronjob gets executed twice a day
atop daily cronjob gets executed twice a day
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: atop (Show other bugs)
el5
Unspecified Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-07 09:24 EDT by Nils Breunese
Modified: 2012-05-30 21:15 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-24 19:58:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nils Breunese 2012-05-07 09:24:08 EDT
/etc/cron.d/atop contains:

----
0 0 * * * root /etc/cron.daily/atop
----

However, all cronjob scripts under /etc/cron.daily also get executed through the run-parts statement in /etc/crontab ("02 4 * * * root run-parts /etc/cron.daily" by default).

So /etc/cron.daily/atop gets executed by /etc/cron.d/atop at midnight every day and also some time after 4:20am. I feel this does not make sense. I guess it would be better to move the code in /etc/cron.daily/atop to a file not under /etc/cron.daily so it only gets executed by /etc/cron.d/atop.
Comment 1 Gwyn Ciesla 2012-05-07 11:32:12 EDT
Is this new with the 1.26 RPMs or has this always been this way?  Do you see it on Fedora releases?
Comment 2 Nils Breunese 2012-05-07 11:44:56 EDT
This is with the current atop-1.26-1.el5.2 RPM from EPEL5 (running on CentOS). We're not running Fedora.

The el6 version has different behavior:

Instead of lots of .1's (and .2's, which I've also seen) the current date gets appended to atop_* files from older dates. I don't know if this is normal, but the following directory listing looks weird to me as well. This might have something to do with the way logrotate works on el6 versus el5?

----
total 8544
-rw------- 1 root root       0 May  7 04:12 atop.log
-rw------- 1 root root       0 Apr 15 03:33 atop.log-20120415
-rw------- 1 root root       0 Apr 22 03:37 atop.log-20120422
-rw------- 1 root root       0 Apr 29 03:27 atop.log-20120429
-rw------- 1 root root       0 May  6 03:41 atop.log-20120506
-rw------- 1 root root       0 May  7 04:12 atop_20111126
-rw------- 1 root root       0 May  6 03:41 atop_20111126-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20111127
-rw------- 1 root root       0 May  6 03:41 atop_20111127-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20111128
-rw------- 1 root root       0 May  6 03:41 atop_20111128-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20111129
-rw------- 1 root root       0 May  6 03:41 atop_20111129-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20111130
-rw------- 1 root root       0 May  6 03:41 atop_20111130-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20111201
-rw------- 1 root root       0 May  6 03:41 atop_20111201-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20111202
-rw------- 1 root root       0 May  6 03:41 atop_20111202-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20111203
-rw------- 1 root root       0 May  6 03:41 atop_20111203-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20111204
-rw------- 1 root root       0 May  6 03:41 atop_20111204-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20111205
-rw------- 1 root root       0 May  6 03:41 atop_20111205-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20111206
-rw------- 1 root root       0 May  6 03:41 atop_20111206-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20111207
-rw------- 1 root root       0 May  6 03:41 atop_20111207-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20111208
-rw------- 1 root root       0 May  6 03:41 atop_20111208-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20111209
-rw------- 1 root root       0 May  6 03:41 atop_20111209-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20111210
-rw------- 1 root root       0 May  6 03:41 atop_20111210-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20111211
-rw------- 1 root root       0 May  6 03:41 atop_20111211-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20111212
-rw------- 1 root root       0 May  6 03:41 atop_20111212-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20111213
-rw------- 1 root root       0 May  6 03:41 atop_20111213-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20111214
-rw------- 1 root root       0 May  6 03:41 atop_20111214-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20111215
-rw------- 1 root root       0 May  6 03:41 atop_20111215-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20111216
-rw------- 1 root root       0 May  6 03:41 atop_20111216-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20111217
-rw------- 1 root root       0 May  6 03:41 atop_20111217-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20111218
-rw------- 1 root root       0 May  6 03:41 atop_20111218-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20111219
-rw------- 1 root root       0 May  6 03:41 atop_20111219-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20111220
-rw------- 1 root root       0 May  6 03:41 atop_20111220-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20111221
-rw------- 1 root root       0 May  6 03:41 atop_20111221-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20111222
-rw------- 1 root root       0 May  6 03:41 atop_20111222-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20111223
-rw------- 1 root root       0 May  6 03:41 atop_20111223-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20111224
-rw------- 1 root root       0 May  6 03:41 atop_20111224-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20111225
-rw------- 1 root root       0 May  6 03:41 atop_20111225-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20111226
-rw------- 1 root root       0 May  6 03:41 atop_20111226-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20111227
-rw------- 1 root root       0 May  6 03:41 atop_20111227-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20111228
-rw------- 1 root root       0 May  6 03:41 atop_20111228-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20111229
-rw------- 1 root root       0 May  6 03:41 atop_20111229-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20111230
-rw------- 1 root root       0 May  6 03:41 atop_20111230-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20111231
-rw------- 1 root root       0 May  6 03:41 atop_20111231-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120101
-rw------- 1 root root       0 May  6 03:41 atop_20120101-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120102
-rw------- 1 root root       0 May  6 03:41 atop_20120102-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120103
-rw------- 1 root root       0 May  6 03:41 atop_20120103-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120104
-rw------- 1 root root       0 May  6 03:41 atop_20120104-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120105
-rw------- 1 root root       0 May  6 03:41 atop_20120105-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120106
-rw------- 1 root root       0 May  6 03:41 atop_20120106-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120107
-rw------- 1 root root       0 May  6 03:41 atop_20120107-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120108
-rw------- 1 root root       0 May  6 03:41 atop_20120108-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120109
-rw------- 1 root root       0 May  6 03:41 atop_20120109-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120110
-rw------- 1 root root       0 May  6 03:41 atop_20120110-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120111
-rw------- 1 root root       0 May  6 03:41 atop_20120111-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120112
-rw------- 1 root root       0 May  6 03:41 atop_20120112-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120113
-rw------- 1 root root       0 May  6 03:41 atop_20120113-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120114
-rw------- 1 root root       0 May  6 03:41 atop_20120114-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120115
-rw------- 1 root root       0 May  6 03:41 atop_20120115-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120116
-rw------- 1 root root       0 May  6 03:41 atop_20120116-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120117
-rw------- 1 root root       0 May  6 03:41 atop_20120117-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120118
-rw------- 1 root root       0 May  6 03:41 atop_20120118-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120119
-rw------- 1 root root       0 May  6 03:41 atop_20120119-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120120
-rw------- 1 root root       0 May  6 03:41 atop_20120120-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120121
-rw------- 1 root root       0 May  6 03:41 atop_20120121-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120122
-rw------- 1 root root       0 May  6 03:41 atop_20120122-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120123
-rw------- 1 root root       0 May  6 03:41 atop_20120123-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120124
-rw------- 1 root root       0 May  6 03:41 atop_20120124-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120125
-rw------- 1 root root       0 May  6 03:41 atop_20120125-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120126
-rw------- 1 root root       0 May  6 03:41 atop_20120126-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120127
-rw------- 1 root root       0 May  6 03:41 atop_20120127-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120128
-rw------- 1 root root       0 May  6 03:41 atop_20120128-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120129
-rw------- 1 root root       0 May  6 03:41 atop_20120129-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120130
-rw------- 1 root root       0 May  6 03:41 atop_20120130-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120131
-rw------- 1 root root       0 May  6 03:41 atop_20120131-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120201
-rw------- 1 root root       0 May  6 03:41 atop_20120201-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120202
-rw------- 1 root root       0 May  6 03:41 atop_20120202-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120203
-rw------- 1 root root       0 May  6 03:41 atop_20120203-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120204
-rw------- 1 root root       0 May  6 03:41 atop_20120204-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120205
-rw------- 1 root root       0 May  6 03:41 atop_20120205-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120206
-rw------- 1 root root       0 May  6 03:41 atop_20120206-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120207
-rw------- 1 root root       0 May  6 03:41 atop_20120207-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120208
-rw------- 1 root root       0 May  6 03:41 atop_20120208-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120209
-rw------- 1 root root       0 May  6 03:41 atop_20120209-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120210
-rw------- 1 root root       0 May  6 03:41 atop_20120210-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120211
-rw------- 1 root root       0 May  6 03:41 atop_20120211-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120212
-rw------- 1 root root       0 May  6 03:41 atop_20120212-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120213
-rw------- 1 root root       0 May  6 03:41 atop_20120213-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120214
-rw------- 1 root root       0 May  6 03:41 atop_20120214-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120215
-rw------- 1 root root       0 May  6 03:41 atop_20120215-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120216
-rw------- 1 root root       0 May  6 03:41 atop_20120216-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120217
-rw------- 1 root root       0 May  6 03:41 atop_20120217-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120218
-rw------- 1 root root       0 May  6 03:41 atop_20120218-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120219
-rw------- 1 root root       0 May  6 03:41 atop_20120219-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120220
-rw------- 1 root root       0 May  6 03:41 atop_20120220-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120221
-rw------- 1 root root       0 May  6 03:41 atop_20120221-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120222
-rw------- 1 root root       0 May  6 03:41 atop_20120222-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120223
-rw------- 1 root root       0 May  6 03:41 atop_20120223-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120224
-rw------- 1 root root       0 May  6 03:41 atop_20120224-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120225
-rw------- 1 root root       0 May  6 03:41 atop_20120225-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120226
-rw------- 1 root root       0 May  6 03:41 atop_20120226-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120227
-rw------- 1 root root       0 May  6 03:41 atop_20120227-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120228
-rw------- 1 root root       0 May  6 03:41 atop_20120228-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120229
-rw------- 1 root root       0 May  6 03:41 atop_20120229-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120301
-rw------- 1 root root       0 May  6 03:41 atop_20120301-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120302
-rw------- 1 root root       0 May  6 03:41 atop_20120302-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120303
-rw------- 1 root root       0 May  6 03:41 atop_20120303-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120304
-rw------- 1 root root       0 May  6 03:41 atop_20120304-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120305
-rw------- 1 root root       0 May  6 03:41 atop_20120305-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120306
-rw------- 1 root root       0 May  6 03:41 atop_20120306-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120307
-rw------- 1 root root       0 May  6 03:41 atop_20120307-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120308
-rw------- 1 root root       0 May  6 03:41 atop_20120308-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120309
-rw------- 1 root root       0 May  6 03:41 atop_20120309-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120310
-rw------- 1 root root       0 May  6 03:41 atop_20120310-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120311
-rw------- 1 root root       0 May  6 03:41 atop_20120311-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120312
-rw------- 1 root root       0 May  6 03:41 atop_20120312-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120313
-rw------- 1 root root       0 May  6 03:41 atop_20120313-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120314
-rw------- 1 root root       0 May  6 03:41 atop_20120314-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120315
-rw------- 1 root root       0 May  6 03:41 atop_20120315-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120316
-rw------- 1 root root       0 May  6 03:41 atop_20120316-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120317
-rw------- 1 root root       0 May  6 03:41 atop_20120317-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120318
-rw------- 1 root root       0 May  6 03:41 atop_20120318-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120319
-rw------- 1 root root       0 May  6 03:41 atop_20120319-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120320
-rw------- 1 root root       0 May  6 03:41 atop_20120320-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120321
-rw------- 1 root root       0 May  6 03:41 atop_20120321-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120322
-rw------- 1 root root       0 May  6 03:41 atop_20120322-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120323
-rw------- 1 root root       0 May  6 03:41 atop_20120323-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120324
-rw------- 1 root root       0 May  6 03:41 atop_20120324-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120325
-rw------- 1 root root       0 May  6 03:41 atop_20120325-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120326
-rw------- 1 root root       0 May  6 03:41 atop_20120326-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120327
-rw------- 1 root root       0 May  6 03:41 atop_20120327-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120328
-rw------- 1 root root       0 May  6 03:41 atop_20120328-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120329
-rw------- 1 root root       0 May  6 03:41 atop_20120329-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120330
-rw------- 1 root root       0 May  6 03:41 atop_20120330-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120331
-rw------- 1 root root       0 May  6 03:41 atop_20120331-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120401
-rw------- 1 root root       0 May  6 03:41 atop_20120401-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120402
-rw------- 1 root root       0 May  6 03:41 atop_20120402-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120403
-rw------- 1 root root       0 May  6 03:41 atop_20120403-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120404
-rw------- 1 root root       0 May  6 03:41 atop_20120404-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120405
-rw------- 1 root root       0 May  6 03:41 atop_20120405-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120406
-rw------- 1 root root       0 May  6 03:41 atop_20120406-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120407
-rw------- 1 root root       0 May  6 03:41 atop_20120407-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120408
-rw------- 1 root root       0 May  6 03:41 atop_20120408-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120409
-rw------- 1 root root       0 May  6 03:41 atop_20120409-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120410
-rw------- 1 root root       0 May  6 03:41 atop_20120410-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120411
-rw------- 1 root root       0 May  6 03:41 atop_20120411-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120412
-rw------- 1 root root       0 May  6 03:41 atop_20120412-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120413
-rw------- 1 root root       0 May  6 03:41 atop_20120413-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120414
-rw------- 1 root root       0 May  6 03:41 atop_20120414-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120415
-rw------- 1 root root       0 May  6 03:41 atop_20120415-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120416
-rw------- 1 root root       0 May  6 03:41 atop_20120416-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120417
-rw------- 1 root root       0 May  6 03:41 atop_20120417-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120418
-rw------- 1 root root       0 May  6 03:41 atop_20120418-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120419
-rw------- 1 root root       0 May  6 03:41 atop_20120419-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120420
-rw------- 1 root root       0 May  6 03:41 atop_20120420-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120421
-rw------- 1 root root       0 May  6 03:41 atop_20120421-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120422
-rw------- 1 root root       0 May  6 03:41 atop_20120422-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120423
-rw------- 1 root root       0 May  6 03:41 atop_20120423-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120424
-rw------- 1 root root       0 May  6 03:41 atop_20120424-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120425
-rw------- 1 root root       0 May  6 03:41 atop_20120425-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120426
-rw------- 1 root root       0 May  6 03:41 atop_20120426-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120427
-rw------- 1 root root       0 May  6 03:41 atop_20120427-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120428
-rw------- 1 root root       0 May  6 03:41 atop_20120428-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120429
-rw------- 1 root root       0 May  6 03:41 atop_20120429-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120430
-rw------- 1 root root       0 May  6 03:41 atop_20120430-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120501
-rw------- 1 root root       0 May  6 03:41 atop_20120501-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120502
-rw------- 1 root root       0 May  6 03:41 atop_20120502-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120503
-rw------- 1 root root       0 May  6 03:41 atop_20120503-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120504
-rw------- 1 root root       0 May  6 03:41 atop_20120504-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120505
-rw------- 1 root root       0 May  6 03:41 atop_20120505-20120507
-rw------- 1 root root       0 May  7 04:12 atop_20120506
-rw-r--r-- 1 root root 5347354 May  7 00:00 atop_20120506-20120507
-rw-r--r-- 1 root root 3382190 May  7 17:42 atop_20120507
----
Comment 3 Nils Breunese 2012-05-07 11:49:03 EDT
I'm sorry that last comment was not meant for this atop bug (but for 542598).

I don't know if this was also before the 1.26 release, I only noticed it today and all our servers are running atop 1.26 from EPEL. We're not running Fedora.
Comment 4 Gwyn Ciesla 2012-05-07 14:52:59 EDT
Ok.  I think We can just drop /etc/cron.d/atop and leave /etc/cron.daily/atop, if that works for you.
Comment 5 Nils Breunese 2012-05-07 16:56:17 EDT
I feel that rotating the process at midnight makes a bit more sense, since in that case all logging for date X will actually be in the file with date X in the name instead of rolling over somewhere after 4:20am (or whatever custom time an admin might have set for the daily cron jobs).
Comment 6 Gwyn Ciesla 2012-05-09 09:35:36 EDT
Ok, have a look at this koji build, see if that fixes this and the cron issue.

http://koji.fedoraproject.org/koji/buildinfo?buildID=318093
Comment 7 Nils Breunese 2012-05-09 10:13:43 EDT
I don't know if /etc/atop/atop.daily is the best place to put the script, since I believe /etc is for host-specific system configuration. I see for instance the vnstat package calls /usr/sbin/vnstat.cron from /etc/cron.d/vnstat. I'm not sure if that's better and I'm no expert on RPM packaging guidelines.

Anyway, atop-1.26-2 does seems to fix the issue.
Comment 8 Gwyn Ciesla 2012-05-09 10:30:15 EDT
True, but it's where upstream places it, and this file could conceivably be edited by the admin.
Comment 9 Nils Breunese 2012-05-09 10:41:09 EDT
An executable bash script doesn't sound like configuration to me, so I'd be surprised to find a script like this under /etc/atop. This script is in fact already configurable by editing the settings /etc/sysconfig/atop.

Any file can conceivably be edited by the admin. :)
Comment 10 Gwyn Ciesla 2012-05-10 10:17:59 EDT
Have a look at this scratch build.

http://koji.fedoraproject.org/koji/taskinfo?taskID=4068062
Comment 11 Nils Breunese 2012-05-10 15:51:31 EDT
Installed it, looks good to me.
Comment 12 Gwyn Ciesla 2012-05-11 08:40:09 EDT
Excellent!
Comment 13 Fedora Update System 2012-05-11 09:53:35 EDT
atop-1.26-5.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/atop-1.26-5.fc15
Comment 14 Fedora Update System 2012-05-11 09:53:53 EDT
atop-1.26-2.el5.1 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/atop-1.26-2.el5.1
Comment 15 Fedora Update System 2012-05-11 09:54:29 EDT
atop-1.26-5.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/atop-1.26-5.fc16
Comment 16 Fedora Update System 2012-05-11 09:54:46 EDT
atop-1.26-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/atop-1.26-2.el6
Comment 17 Fedora Update System 2012-05-11 09:55:01 EDT
atop-1.26-5.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/atop-1.26-5.fc17
Comment 18 Fedora Update System 2012-05-11 17:53:14 EDT
Package atop-1.26-5.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing atop-1.26-5.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-7733/atop-1.26-5.fc17
then log in and leave karma (feedback).
Comment 19 Nils Breunese 2012-05-11 18:07:08 EDT
I think the output of /etc/cron.d/atop should be suppressed. Currently users will receive an e-mail like this every day at midnight:

----
From: 	Cron Daemon <root@hostname>
Subject: 	Cron <root@lispeltuut> /etc/rc.d/init.d/atop condrestart
Date: 	12 mei 2012 00:00:02 GMT+02:00
To: 	root@hostname

Stopping atop: [  OK  ]
Starting atop: [  OK  ]
----
Comment 20 Gwyn Ciesla 2012-05-14 09:57:01 EDT
I'll fix that, thanks.
Comment 21 Fedora Update System 2012-05-14 10:22:34 EDT
atop-1.26-6.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/atop-1.26-6.fc17
Comment 22 Fedora Update System 2012-05-14 10:23:01 EDT
atop-1.26-3.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/atop-1.26-3.el5
Comment 23 Fedora Update System 2012-05-14 10:23:22 EDT
atop-1.26-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/atop-1.26-3.el6
Comment 24 Fedora Update System 2012-05-14 10:23:46 EDT
atop-1.26-6.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/atop-1.26-6.fc15
Comment 25 Fedora Update System 2012-05-14 10:24:29 EDT
atop-1.26-6.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/atop-1.26-6.fc16
Comment 26 Fedora Update System 2012-05-24 19:58:46 EDT
atop-1.26-6.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 27 Fedora Update System 2012-05-24 19:59:54 EDT
atop-1.26-6.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 28 Fedora Update System 2012-05-26 03:44:58 EDT
atop-1.26-6.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 29 Fedora Update System 2012-05-30 21:13:01 EDT
atop-1.26-3.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 30 Fedora Update System 2012-05-30 21:15:35 EDT
atop-1.26-3.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.